CPAN2DOAP(1p)

NAME
cpan2doap - generate DOAP data from a CPAN distribution's root directory

SYNPOSIS
cpan2doap [options]

DESCRIPTION
The cpan2doap command generates DOAP data in either RDF/XML or Turtle serialization from the 'META.json' and 'Changes' files often found in a CPAN distribution's root directory.

OPTIONS

--meta-file=F, -m F
    Input file name conforming to CPAN::Meta::Spec. Defaults to 'META.json'.

--changes-file=F, -c F
    Input file name conforming to CPAN::Changes::Spec. Defaults to 'Changes'.

--output-file=F, -o F
    File name for output. Defaults to 'doap.rdf'.

--output-format=X
    Output format. One of 'xml', 'ttl' or 'auto'.

--help, --usage, -h
    Shows help.

--version, -V
    Show version information.

EXAMPLES
For many distributions, accepting the defaults is adequate:

        cpan2doap

For older distributions which use 'META.yml' instead of 'META.json':

        cpan2doap -m META.yml

To output data in Turtle format (less verbose than RDF/XML):

        cpan2doap -o doap.ttl

BUGS
Please report any bugs to <http://rt.cpan.org/Dist/Display.html?Queue=RDF-DOAP-Lite>.

SEE ALSO
RDF::DOAP::Lite.

AUTHOR
Toby Inkster <tobyink@cpan.org>.

COPYRIGHT AND LICENCE
This software is copyright (c) 2013 by Toby Inkster.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.

DISCLAIMER OF WARRANTIES
THIS PACKAGE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.